Support » Plugin: Plugin Manager » New version does not work with localhost + port

  • Hi,
    Thank you for this excellent plugin I have used since its inception.
    Since version 6.0.0 however, it does not work on my local development installation.

    • I use WP within Docker
    • I connect to the development website thru <local_address>:<port_number>
    • the plugin is totally confused by this configuration and displays placeholders instead

    When transferred to the staging server, with a plain domain name, the plugin works again.
    Best,
    Stephen

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author sujin2f

    (@sujin2f)

    Hi Stephen,

    Could you check your dev server has any other javascript error? This plugin would stop when other plugins made a javascript error. Placeholder means my js code is not executed.

    Thread Starter asitemade4u

    (@asitemade4u)

    Well, no there is no JS error and the plugins used in the Staging server installation are exactly the same.
    The only difference between the two installations is:

    • the localhost
    • the use of a specific port

    And BTW the old version of your plugin (v5) still works perfectly.
    Hope this helps.
    Best,
    Stephen

    Thread Starter asitemade4u

    (@asitemade4u)

    Hi ,
    In fact when used in a local development environment(localhost) Angular yields a lot of errors:

    Error: [$interpolate:interr] http://errors.angularjs.org/1.5.8/$interpolate/interr?p0=dashicons%20dashicons-%7B%7B%20isLocked('admin-columns-pro%2Fadmin-columns-pro.php')%20%3F%20'unlock'%20%3A%20'lock'%20%7D%7D&p1=TypeError%3A%20Cannot%20read%20property%20'locked'%20of%20undefined
        at angular.min.js?ver=4.8.2:6
        at Function.Ka.interr (angular.min.js?ver=4.8.2:210)
        at S.exp (angular.min.js?ver=4.8.2:106)
        at Object.pre (angular.min.js?ver=4.8.2:79)
        at angular.min.js?ver=4.8.2:16
        at la (angular.min.js?ver=4.8.2:81)
        at p (angular.min.js?ver=4.8.2:66)
        at g (angular.min.js?ver=4.8.2:58)
        at p (angular.min.js?ver=4.8.2:66)
        at g (angular.min.js?ver=4.8.2:58)

    Please help as I use your plugin extensively and am distressed version 6.01 is such a regression.
    Best,
    Stephen

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘New version does not work with localhost + port’ is closed to new replies.